Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.search
Class FilterTest.Equals

    java.lang.Object
      org.biojava.bio.search.FilterTest.Equals

All Implemented Interfaces:
  FilterTest

Enclosing interface:
  FilterTest

    public static class FilterTest.Equals

extends Object
implements FilterTest

Tests that the value associated with the specified key is equal to the value supplied here by whatever criterion of equality appropriate to those objects. A value of false is returned by accept() if a ClassCastException is thrown on comparing the objects.

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.search.FilterTest
`FilterTest.Equals, FilterTest.FindRegex, FilterTest.GreaterThan, FilterTest.LessThan, FilterTest.MatchRegex`

Constructor Summary
`FilterTest.Equals(Object value)`

Method Summary
`boolean` | `accept(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterTest.Equals

    public FilterTest.Equals(Object value)

Method Detail

### accept

    public boolean accept(Object value)

  Specified by:
    `accept` in interface `FilterTest`
  Returns:
    returns true if test is successful.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD